import { ajax, call } from 'src/util'
import './index.css'

const appHtml =
  "<button class='foo-action' type='button' @click='clickBtn'>click me</button>"

const app = {
  init() {
    this.initUI()
    this.initEvent()
    this.initData()
  },

  initUI() {
    const $app = document.getElementById('app')
    $app.classList.add('app-home')
    $app.innerHTML = appHtml
  },

  initEvent() {
    document.querySelector('.foo-action').addEventListener('click', () => {
      this.clickBtn()
    })
  },

  initData() {
    return ajax({
      operationType: 'alipay.mobile.foo',
      url: '/foo.json',
      method: 'post',
      trim: true,
      params: {
        timetag: +new Date(),
        trim: ' foo ',
      },
      data: {
        timetag: +new Date(),
        trim: ' foo ',
      },
    })
      .then(json => {
        console.log(json)
      })
      .catch(err => {
        console.log(err)
        call('showToast', {
          content: 'err',
        })
      })
  },

  clickBtn() {
    console.log('click btn')
  },
}

app.init()
window.app = app
