module.exports = ({
  rootOptions,
  Types
}) => {
  const {
    mobile,
    pc
  } = Types;

  const isWeb = ({
    type
  }) => type === mobile || type === pc;

  return [{
    name: 'split',
    type: 'list',
    message: `Choose split mode
  - 单页面应用 (前端控制路由跳转) 选 vendors.js
  - 多页面项目 (后端控制路由跳转) 选 common.js
`,
    default: rootOptions.split,
    when: isWeb,
    choices: [{
      name: 'vendors: extract modules from node_modules into vendors.js',
      value: 'vendors',
      short: 'vendors'
    }, {
      name: 'common: extract common modules into common.js',
      value: 'common',
      short: 'common'
    }]
  }, {
    name: 'scaleViewport',
    type: 'list',
    message: '页面 css 基准',
    // 如果没有默认值, 那么是 undefined, 那么会选中第一个
    default: rootOptions.scaleViewport,
    when: ({
      type
    }) => type === mobile,
    choices: [{
      name: '按 375 写, 注意 1px 边框哦',
      value: false
    }, {
      name: '按 750 写, 最终整个页面 scale 到 375',
      value: true
    }]
  }];
};