import { on, preventDefault, off } from './event'
import { packAddEventListenerOptionsNoPassive } from './passive'

export function getScrollTop() {
  return (
    window.pageYOffset ||
    document.documentElement.scrollTop ||
    document.body.scrollTop ||
    0
  )
}

let bodyOverflow

// 如果你想实现一个 modal, 请优先考虑使用 ModalMixin
export function disableBodyScroll() {
  bodyOverflow = document.body.style.overflow
  document.body.style.overflow = 'hidden'
  on(
    document.body,
    'touchmove',
    preventDefault,
    packAddEventListenerOptionsNoPassive()
  )
}

export function enableBodyScroll() {
  document.body.style.overflow = bodyOverflow
  off(document.body, 'touchmove', preventDefault)
}
