function defaults() {
  return {
    // target: app/lib
    target: 'app',

    // nested entry dir
    entryDir: './src/entry',

    // where to output built files
    outputDir: 'dist',

    outputJsDir: '.',

    outputCssDir: '.',

    outputImgDir: 'img',

    outputMediaDir: 'media',

    outputFontsDir: 'fonts',

    // whether filename will contain hash part
    filenameHashing: true,

    inlineLimit: 4096,

    // project deployment base, default to '', which will lead to relative assets path
    baseUrl: '',

    // whether to use eslint-loader
    lintOnSave: true,

    // boolean, use full build?
    runtimeCompiler: false,

    css: {
      // extract: true,
      // sourceMap: false,
      // localIdentName: '[name]_[local]_[hash:base64:5]',
      // loaderOptions: {},
    },

    // nohtml: false,

    // `true` to discard calls to console.* functions.
    dropConsole: true,

    // sourceMap for production build?
    productionSourceMap: false,

    // use thread-loader for babel & TS in production build
    // enabled by default if the machine has more than 1 cores
    parallel: require('os').cpus().length > 1,

    // whether to preserve whitespaces between elements
    preserveWhitespace: false,

    // deps to transpile
    transpileDependencies: [
      /* string or regex */
    ],

    devServer: {
      /*
      open: process.platform === 'darwin',
      host: '0.0.0.0',
      port: 8080,
      https: false,
      hotOnly: false,
      proxy: null, // string | Object
      before: app => {}
    */
    },

    node: false,
  }
}

module.exports = {
  defaults,
}
