import Vue from 'vue'
import VueRouter from 'vue-router'
import Home from 'src/module/Home/Home'
import Demo from 'src/module/Demo/Demo'

Vue.use(VueRouter)

// https://router.vuejs.org/zh-cn/
const router = new VueRouter({
  routes: [
    {
      path: '/',
      component: Home,
      meta: { title: 'Home' },
      children: [
        {
          path: 'demo',
          component: Demo,
          meta: { title: 'demo' },
        },
      ],
    },
  ],
})

// https://router.vuejs.org/zh-cn/advanced/navigation-guards.html
router.beforeEach((to, from, next) => {
  // modify title
  const { meta } = to
  if (meta.title || meta.title === '') {
    document.title = meta.title
  }

  next()
})

export default router
