export const types = {
  toggleDemoComponent: 'toggleDemoComponent',
}

export default {
  namespaced: true,

  state: {
    demoComponentVisible: true,
  },

  mutations: {
    [types.toggleDemoComponent](state) {
      state.demoComponentVisible = !state.demoComponentVisible
    },
  },

  actions: {
    doToggleDemoComponent({ commit }) {
      // mock async update
      return new Promise(resolve => {
        setTimeout(() => {
          commit(types.toggleDemoComponent)
        }, 250)
        resolve()
      })
    },
  },
}
