import axios from 'axios'

/**
 * 发送 rpc/ajax 请求
 *
 * - options 配置参数
 *
 * - options.operationType rpc 服务名称
 *
 * - options.url ajax 的 url
 *
 * - options.method ajax 的 method
 *
 * - options.params ajax 的 params 会被拼接到 url 上
 *
 * - options.data request body
 * - 如果 rpc/ajax 请求数据的格式是一致的, 那么可以只传这一个参数即可, 否则请通过 rpcData 设置 rpc 请求数据
 * - 如果是 rpc 请求, 但 data 不是数组, 会将其格式化为数组
 *
 * - options.rpcData rpc 的请求数据
 * - 请先考虑使用 options.data 来设置 rpc 的数据
 * - 如果不是数组, 会将其格式化为数组
 *
 * - options.formEncode 是否采用 'application/x-www-form-urlencoded' 编码 data
 *
 * @return {Promise}
 */
function ajax(...args) {
  return axios(...args)
}

export default ajax
